Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IDragDropListener.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IDragDropListener.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IDragDropListener.cs	(revision 4068)
@@ -1,40 +1,36 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-    public interface IDragDropListener : IInteraction
-    {
+namespace Netron.Diagramming.Core {
+  public interface IDragDropListener : IInteraction {
 
-        /// <summary>
-        /// On dragdrop.
-        /// </summary>
-        /// <param name="e">The <see cref="T:KeyEventArgs"/> instance containing the event data.</param>
-        bool OnDragDrop(DragEventArgs e);
+    /// <summary>
+    /// On dragdrop.
+    /// </summary>
+    /// <param name="e">The <see cref="T:KeyEventArgs"/> instance containing the event data.</param>
+    bool OnDragDrop(DragEventArgs e);
 
-        /// <summary>
-        ///   On drag enter
-        /// </summary>
-        /// <param name="e"></param>
-        bool OnDragEnter(DragEventArgs e);
-        /// <summary>
-        /// On drag leave.
-        /// </summary>
-        /// <param name="e">The <see cref="T:KeyEventArgs"/> instance containing the event data.</param>
-        bool OnDragLeave(EventArgs e);
+    /// <summary>
+    ///   On drag enter
+    /// </summary>
+    /// <param name="e"></param>
+    bool OnDragEnter(DragEventArgs e);
+    /// <summary>
+    /// On drag leave.
+    /// </summary>
+    /// <param name="e">The <see cref="T:KeyEventArgs"/> instance containing the event data.</param>
+    bool OnDragLeave(EventArgs e);
 
-        /// <summary>
-        /// On drag over.
-        /// </summary>
-        /// <param name="e">The <see cref="T:KeyPressEventArgs"/> instance containing the event data.</param>
-        bool OnDragOver(DragEventArgs e);
+    /// <summary>
+    /// On drag over.
+    /// </summary>
+    /// <param name="e">The <see cref="T:KeyPressEventArgs"/> instance containing the event data.</param>
+    bool OnDragOver(DragEventArgs e);
 
-        /// <summary>
-        /// Gives the feedback on dragging.
-        /// </summary>
-        /// <param name="e">The <see cref="T:System.Windows.Forms.GiveFeedbackEventArgs"/> instance containing the event data.</param>
-        void GiveFeedback(GiveFeedbackEventArgs e);
+    /// <summary>
+    /// Gives the feedback on dragging.
+    /// </summary>
+    /// <param name="e">The <see cref="T:System.Windows.Forms.GiveFeedbackEventArgs"/> instance containing the event data.</param>
+    void GiveFeedback(GiveFeedbackEventArgs e);
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IDrawStyle.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IDrawStyle.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IDrawStyle.cs	(revision 4068)
@@ -1,98 +1,89 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
 using System.Drawing.Drawing2D;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Defines a custom pen style to draw entities and sub-entities.
+  /// <remarks>The style can be extended with many properties and .Net 2.0 has added several new ones in comparison to .Net 1.1. Feel free to extend
+  /// as you need.</remarks>
+  /// </summary>
+  public interface IDrawStyle {
     /// <summary>
-    /// Defines a custom pen style to draw entities and sub-entities.
-    /// <remarks>The style can be extended with many properties and .Net 2.0 has added several new ones in comparison to .Net 1.1. Feel free to extend
-    /// as you need.</remarks>
+    /// Gets or sets the custom end cap.
     /// </summary>
-    public interface IDrawStyle
-    {
-        /// <summary>
-        /// Gets or sets the custom end cap.
-        /// </summary>
-        /// <value>The custom end cap.</value>
-        CustomLineCap CustomEndCap { get; set; }
-        /// <summary>
-        /// Gets or sets the custom start cap.
-        /// </summary>
-        /// <value>The custom start cap.</value>
-        CustomLineCap CustomStartCap { get; set; }
-        /// <summary>
-        /// Gets or sets the start cap.
-        /// </summary>
-        /// <value>The start cap.</value>
-        LineCap StartCap { get; set; }
-        /// <summary>
-        /// Gets or sets the end cap.
-        /// </summary>
-        /// <value>The end cap.</value>
-        LineCap EndCap { get; set; }
-        /// <summary>
-        /// Gets or sets the color.
-        /// </summary>
-        /// <value>The color.</value>
-        Color Color { get; set; }
-        /// <summary>
-        /// Gets or sets the dash style.
-        /// </summary>
-        /// <value>The dash style.</value>
-        DashStyle DashStyle { get; set; }
-        /// <summary>
-        /// Gets or sets the width.
-        /// </summary>
-        /// <value>The width.</value>
-        float Width { get; set; }
-        /// <summary>
-        /// Gets the drawing pen of this style.
-        /// </summary>
-        /// <returns></returns>
-        Pen DrawingPen();
+    /// <value>The custom end cap.</value>
+    CustomLineCap CustomEndCap { get; set; }
+    /// <summary>
+    /// Gets or sets the custom start cap.
+    /// </summary>
+    /// <value>The custom start cap.</value>
+    CustomLineCap CustomStartCap { get; set; }
+    /// <summary>
+    /// Gets or sets the start cap.
+    /// </summary>
+    /// <value>The start cap.</value>
+    LineCap StartCap { get; set; }
+    /// <summary>
+    /// Gets or sets the end cap.
+    /// </summary>
+    /// <value>The end cap.</value>
+    LineCap EndCap { get; set; }
+    /// <summary>
+    /// Gets or sets the color.
+    /// </summary>
+    /// <value>The color.</value>
+    Color Color { get; set; }
+    /// <summary>
+    /// Gets or sets the dash style.
+    /// </summary>
+    /// <value>The dash style.</value>
+    DashStyle DashStyle { get; set; }
+    /// <summary>
+    /// Gets or sets the width.
+    /// </summary>
+    /// <value>The width.</value>
+    float Width { get; set; }
+    /// <summary>
+    /// Gets the drawing pen of this style.
+    /// </summary>
+    /// <returns></returns>
+    Pen DrawingPen();
+  }
+
+  /// <summary>
+  /// Describes a pen style.
+  /// </summary>
+  public interface IPenStyle : IVersion {
+    #region Properties
+
+    /// <summary>
+    /// Gets or sets the color.
+    /// </summary>
+    /// <value>The color.</value>
+    Color Color {
+      get;
+      set;
     }
 
     /// <summary>
-    /// Describes a pen style.
+    /// Gets or sets the dash style.
     /// </summary>
-    public interface IPenStyle : IVersion
-    {
-        #region Properties
+    /// <value>The dash style.</value>
+    DashStyle DashStyle {
+      get;
+      set;
+    }
 
-        /// <summary>
-        /// Gets or sets the color.
-        /// </summary>
-        /// <value>The color.</value>
-        Color Color
-        {
-            get;
-            set;
-        }
+    /// <summary>
+    /// Gets or sets the width.
+    /// </summary>
+    /// <value>The width.</value>
+    float Width {
+      get;
+      set;
+    }
 
-        /// <summary>
-        /// Gets or sets the dash style.
-        /// </summary>
-        /// <value>The dash style.</value>
-        DashStyle DashStyle
-        {
-            get;
-            set;
-        }
+    #endregion
 
-        /// <summary>
-        /// Gets or sets the width.
-        /// </summary>
-        /// <value>The width.</value>
-        float Width
-        {
-            get;
-            set;
-        }
-
-        #endregion
-
-        Pen DrawingPen();
-    }
+    Pen DrawingPen();
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IGenericFormatter.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IGenericFormatter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IGenericFormatter.cs	(revision 4068)
@@ -1,25 +1,20 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.IO;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Generic formatter interface
+  /// </summary>
+  public interface IGenericFormatter {
     /// <summary>
-    /// Generic formatter interface
+    /// Deserializes the specified serialization stream.
     /// </summary>
-    public interface IGenericFormatter
-    {
-        /// <summary>
-        /// Deserializes the specified serialization stream.
-        /// </summary>
-        /// <param name="serializationStream">The serialization stream.</param>
-        /// <returns></returns>
-        T Deserialize<T>(Stream serializationStream);
-        /// <summary>
-        /// Serializes the specified serialization stream.
-        /// </summary>
-        /// <param name="serializationStream">The serialization stream.</param>
-        /// <param name="graph">A parameter of the generics Type T</param>
-        void Serialize<T>(Stream serializationStream, T graph);
-    }
+    /// <param name="serializationStream">The serialization stream.</param>
+    /// <returns></returns>
+    T Deserialize<T>(Stream serializationStream);
+    /// <summary>
+    /// Serializes the specified serialization stream.
+    /// </summary>
+    /// <param name="serializationStream">The serialization stream.</param>
+    /// <param name="graph">A parameter of the generics Type T</param>
+    void Serialize<T>(Stream serializationStream, T graph);
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IGhost.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IGhost.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IGhost.cs	(revision 4068)
@@ -1,14 +1,8 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// A ghost is a preview of something on the canvas
-    /// </summary>
-    public interface IGhost : IPaintable
-    {
-       
-    }
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// A ghost is a preview of something on the canvas
+  /// </summary>
+  public interface IGhost : IPaintable {
+
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IGroup.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IGroup.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IGroup.cs	(revision 4068)
@@ -1,47 +1,41 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// The group interface.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public interface IGroup : IDiagramEntity {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// The group interface.
+    /// Gets or sets the entities contained in this group.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public interface IGroup : IDiagramEntity
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the entities contained in this group.
-        /// </summary>
-        // ------------------------------------------------------------------
-        CollectionBase<IDiagramEntity> Entities { get; set;}
+    // ------------------------------------------------------------------
+    CollectionBase<IDiagramEntity> Entities { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets whether the group as a shape should be painted on 
-        /// the canvas.
-        /// </summary>
-        // ------------------------------------------------------------------
-        bool EmphasizeGroup { get;set;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets whether the group as a shape should be painted on 
+    /// the canvas.
+    /// </summary>
+    // ------------------------------------------------------------------
+    bool EmphasizeGroup { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Calculates the bounding rectangle that encompasses all entities.
-        /// </summary>
-        // ------------------------------------------------------------------
-        void CalculateRectangle();
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Calculates the bounding rectangle that encompasses all entities.
+    /// </summary>
+    // ------------------------------------------------------------------
+    void CalculateRectangle();
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets if un-grouping of the entities is allowed.
-        /// </summary>
-        // ------------------------------------------------------------------
-        bool CanUnGroup
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets if un-grouping of the entities is allowed.
+    /// </summary>
+    // ------------------------------------------------------------------
+    bool CanUnGroup {
+      get;
+      set;
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IHoverListener.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IHoverListener.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IHoverListener.cs	(revision 4068)
@@ -1,18 +1,12 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Windows.Forms;
-using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Hover service
-    /// </summary>
-    public interface IHoverListener : IInteraction
-    {          
-        void MouseHover(MouseEventArgs e);
-        void MouseEnter(MouseEventArgs e);
-        void MouseLeave(MouseEventArgs e);
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Hover service
+  /// </summary>
+  public interface IHoverListener : IInteraction {
+    void MouseHover(MouseEventArgs e);
+    void MouseEnter(MouseEventArgs e);
+    void MouseLeave(MouseEventArgs e);
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IInteraction.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IInteraction.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IInteraction.cs	(revision 4068)
@@ -1,15 +1,10 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// This is a tag interface to label the interfaces you can use to plug 
-    /// into the interaction.
-    /// 
-    /// </summary>
-    public interface IInteraction
-    {
-    }
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This is a tag interface to label the interfaces you can use to plug 
+  /// into the interaction.
+  /// 
+  /// </summary>
+  public interface IInteraction {
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IKeyboardListener.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IKeyboardListener.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IKeyboardListener.cs	(revision 4068)
@@ -1,29 +1,24 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-    public interface IKeyboardListener : IInteraction
-    {
+namespace Netron.Diagramming.Core {
+  public interface IKeyboardListener : IInteraction {
 
-        /// <summary>
-        /// on key down.
-        /// </summary>
-        /// <param name="e">The <see cref="T:KeyEventArgs"/> instance containing the event data.</param>
-        void KeyDown(KeyEventArgs e);
+    /// <summary>
+    /// on key down.
+    /// </summary>
+    /// <param name="e">The <see cref="T:KeyEventArgs"/> instance containing the event data.</param>
+    void KeyDown(KeyEventArgs e);
 
-        /// <summary>
-        /// On keys up.
-        /// </summary>
-        /// <param name="e">The <see cref="T:KeyEventArgs"/> instance containing the event data.</param>
-        void KeyUp(KeyEventArgs e);
+    /// <summary>
+    /// On keys up.
+    /// </summary>
+    /// <param name="e">The <see cref="T:KeyEventArgs"/> instance containing the event data.</param>
+    void KeyUp(KeyEventArgs e);
 
-        /// <summary>
-        /// On key pressed.
-        /// </summary>
-        /// <param name="e">The <see cref="T:KeyPressEventArgs"/> instance containing the event data.</param>
-        void KeyPress(KeyPressEventArgs e);
+    /// <summary>
+    /// On key pressed.
+    /// </summary>
+    /// <param name="e">The <see cref="T:KeyPressEventArgs"/> instance containing the event data.</param>
+    void KeyPress(KeyPressEventArgs e);
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ILayer.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ILayer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ILayer.cs	(revision 4068)
@@ -1,87 +1,83 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Interface of a diagram layer
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public interface ILayer {
+    #region Events
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Interface of a diagram layer
+    /// Occurs when an entity is added to the layer.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public interface ILayer
-    {
-        #region Events
+    // ------------------------------------------------------------------
+    event EventHandler<EntityEventArgs> OnEntityAdded;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when an entity is added to the layer.
-        /// </summary>
-        // ------------------------------------------------------------------
-        event EventHandler<EntityEventArgs> OnEntityAdded;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when an entity is removed from the layer.
+    /// </summary>
+    // ------------------------------------------------------------------
+    event EventHandler<EntityEventArgs> OnEntityRemoved;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when an entity is removed from the layer.
-        /// </summary>
-        // ------------------------------------------------------------------
-        event EventHandler<EntityEventArgs> OnEntityRemoved;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when the layer is cleared.
+    /// </summary>
+    // ------------------------------------------------------------------
+    event EventHandler OnClear;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when the layer is cleared.
-        /// </summary>
-        // ------------------------------------------------------------------
-        event EventHandler OnClear;
+    #endregion
 
-        #endregion
+    #region Properties
 
-        #region Properties
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets all connections in this layer.
+    /// </summary>
+    // ------------------------------------------------------------------
+    CollectionBase<IConnection> Connections { get; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets all connections in this layer.
-        /// </summary>
-        // ------------------------------------------------------------------
-        CollectionBase<IConnection> Connections { get;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets all shapes in this layer.
+    /// </summary>
+    // ------------------------------------------------------------------
+    CollectionBase<IShape> Shapes { get; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets all shapes in this layer.
-        /// </summary>
-        // ------------------------------------------------------------------
-        CollectionBase<IShape> Shapes { get;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the model.
+    /// </summary>
+    /// <value>The model.</value>
+    // ------------------------------------------------------------------
+    IModel Model { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the model.
-        /// </summary>
-        /// <value>The model.</value>
-        // ------------------------------------------------------------------
-        IModel Model { get;set;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets if this layer is visible.
+    /// </summary>
+    // ------------------------------------------------------------------
+    bool IsVisible { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets if this layer is visible.
-        /// </summary>
-        // ------------------------------------------------------------------
-        bool IsVisible { get; set;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the name of this layer.
+    /// </summary>
+    // ------------------------------------------------------------------
+    string Name { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the name of this layer.
-        /// </summary>
-        // ------------------------------------------------------------------
-        string Name { get; set; }
+    #endregion
 
-        #endregion
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the entities of this layer.
-        /// </summary>
-        /// <value>The entities.</value>
-        // ------------------------------------------------------------------
-        CollectionBase<IDiagramEntity> Entities { get;}
-    }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the entities of this layer.
+    /// </summary>
+    /// <value>The entities.</value>
+    // ------------------------------------------------------------------
+    CollectionBase<IDiagramEntity> Entities { get; }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ILayout.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ILayout.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ILayout.cs	(revision 4068)
@@ -1,30 +1,26 @@
-using System;
 using System.Drawing;
-using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// This interface describes the elements of a layout module.
-	/// The single call to the inherited Run() method will organize the diagram in 
-	/// a certain way.
-	/// </summary>
-	public interface ILayout : IAction
-	{
-		#region Events
-		
-		#endregion
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This interface describes the elements of a layout module.
+  /// The single call to the inherited Run() method will organize the diagram in 
+  /// a certain way.
+  /// </summary>
+  public interface ILayout : IAction {
+    #region Events
 
-		#region Properties
-        /// <summary>
-        /// Gets or sets the bounds of the layout algorithm.
-        /// </summary>
-        /// <value>The bounds.</value>
-        Rectangle Bounds { get;set;}
-        PointF Center { get;set;}
-		#endregion
+    #endregion
 
-		#region Methods
-		
-		#endregion
-	}
+    #region Properties
+    /// <summary>
+    /// Gets or sets the bounds of the layout algorithm.
+    /// </summary>
+    /// <value>The bounds.</value>
+    Rectangle Bounds { get; set; }
+    PointF Center { get; set; }
+    #endregion
+
+    #region Methods
+
+    #endregion
+  }
 }
